#include<bits/stdc++.h>
using namespace std;
int main() {
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	printf("5\n1 1\n1 1\n1 2\n2 1 2\n1 1");
	return 0;
}
/*
	jin tian hen kai xin,neng gou can jia NOIp
	sui ran ti da bu chu lai
	dan shi hen kai xin
	le 'w'
					by__orz
*/
